Page MenuHomePhabricator

ELM: Genlist SEGV
Closed, ResolvedPublic

Description

Thread 1 "edi" received signal SIGSEGV, Segmentation fault.
0x00007ffff7768201 in _item_process_post (sd=0x11ed360, it=0xb9c230) at lib/elementary/elm_genlist.c:4625
4625       if (it->item->block->changed)
(gdb) bt
#0  0x00007ffff7768201 in _item_process_post (sd=0x11ed360, it=0xb9c230) at lib/elementary/elm_genlist.c:4625
#1  0x00007ffff7773f28 in _item_filtered_get (it=0xb9c230) at lib/elementary/elm_genlist.c:7718
#2  0x00007ffff776fc04 in _elm_genlist_item_next_get (eo_it=0x800000a98aed5c5c, it=0xb9c230) at lib/elementary/elm_genlist.c:6819
#3  0x00007ffff777b75a in elm_obj_genlist_item_next_get (obj=0x800000a98aed5c5c) at lib/elementary/elm_genlist_item.eo.c:8
#4  0x00007ffff777dbaa in elm_genlist_item_next_get (obj=0x800000a98aed5c5c) at lib/elementary/elm_genlist_item.eo.c:269
#5  0x00007ffff7770604 in _elm_genlist_expanded_next_item_get (it=0xb329b0) at lib/elementary/elm_genlist.c:6924
#6  0x00007ffff77706eb in _elm_genlist_move_items_set (it=0xb329b0, expanded=0 '\000') at lib/elementary/elm_genlist.c:6950
#7  0x00007ffff7770da3 in _elm_genlist_item_expanded_set (eo_item=0x800000a98aed5c5c, it=0xb329b0, expanded=0 '\000') at lib/elementary/elm_genlist.c:7034
#8  0x00007ffff777be06 in elm_obj_genlist_item_expanded_set (obj=0x800000a98aed5c5c, expanded=0 '\000') at lib/elementary/elm_genlist_item.eo.c:28
#9  0x00007ffff777dc43 in elm_genlist_item_expanded_set (obj=0x800000a98aed5c5c, expanded=0 '\000') at lib/elementary/elm_genlist_item.eo.c:299
#10 0x000000000041c733 in _on_list_contract_req (data=0x80000047d2ed4f65, obj=0x800000552aed5110, event_info=0x800000a98aed5c5c) at edi_filepanel.c:674
#11 0x00007ffff3f57b8b in _eo_evas_smart_cb (data=0x1240720, event=0x7fffffffd910) at lib/evas/canvas/evas_object_smart.c:78
#12 0x00007fffef75d91d in _event_callback_call (obj_id=0x800000552aed5110, pd=0x11ecf90, desc=0x7ffff7ba6900 <_ELM_GENLIST_EVENT_CONTRACT_REQUEST>, event_info=0x800000a98aed5c5c,
    legacy_compare=1 '\001') at lib/eo/eo_base_class.c:1542
#13 0x00007fffef75dca5 in _efl_object_event_callback_legacy_call (obj_id=0x800000552aed5110, pd=0x11ecf90, desc=0x7ffff7ba6900 <_ELM_GENLIST_EVENT_CONTRACT_REQUEST>,
    event_info=0x800000a98aed5c5c) at lib/eo/eo_base_class.c:1615
#14 0x00007fffef75dd6d in efl_event_callback_legacy_call (obj=0x800000552aed5110, desc=0x7ffff7ba6900 <_ELM_GENLIST_EVENT_CONTRACT_REQUEST>, event_info=0x800000a98aed5c5c)
    at lib/eo/eo_base_class.c:1618
#15 0x00007ffff3f44bcb in _efl_canvas_object_efl_object_event_callback_legacy_call (eo_obj=0x800000552aed5110, obj=0x11ecfe0, desc=0x7ffff7ba6900 <_ELM_GENLIST_EVENT_CONTRACT_REQUEST>,
    event_info=0x800000a98aed5c5c) at lib/evas/canvas/evas_object_main.c:1045
#16 0x00007fffef75dd6d in efl_event_callback_legacy_call (obj=0x800000552aed5110, desc=0x7ffff7ba6900 <_ELM_GENLIST_EVENT_CONTRACT_REQUEST>, event_info=0x800000a98aed5c5c)
    at lib/eo/eo_base_class.c:1618
#17 0x00007ffff775d9be in _expand_toggle_signal_cb (data=0xb329b0, obj=0x800000a80aed5c2c, emission=0x1610a4c "elm,action,expand,toggle", source=0x8dec60 "elm")
    at lib/elementary/elm_genlist.c:1464
#18 0x00007ffff51281b9 in _edje_emit_cb (ed=0xc6b440, sig=0x1610a4c "elm,action,expand,toggle", src=0x8dec60 "elm", data=0x0, prop=0 '\000') at lib/edje/edje_program.c:1609
#19 0x00007ffff5127f36 in _edje_emit_handle (ed=0xc6b440, sig=0x1610a4c "elm,action,expand,toggle", src=0x8dec60 "elm", sdata=0x0, prop=0 '\000') at lib/edje/edje_program.c:1538
#20 0x00007ffff5120f51 in _edje_message_process (em=0x1673440) at lib/edje/edje_message_queue.c:790
#21 0x00007ffff5121369 in _edje_message_queue_process () at lib/edje/edje_message_queue.c:893
#22 0x00007ffff511ff04 in _edje_job (data=0x0) at lib/edje/edje_message_queue.c:260
#23 0x00007ffff010a21f in _ecore_job_event_handler (data=0x0, type=16, ev=0x17d96f0) at lib/ecore/ecore_job.c:98
#24 0x00007ffff0102d5d in _ecore_call_handler_cb (func=0x7ffff010a1ef <_ecore_job_event_handler>, data=0x0, type=16, event=0x17d96f0) at lib/ecore/ecore_private.h:331
#25 0x00007ffff010410d in _ecore_event_call () at lib/ecore/ecore_events.c:629
#26 0x00007ffff010d722 in _ecore_main_loop_iterate_internal (once_only=0) at lib/ecore/ecore_main.c:2407
#27 0x00007ffff010b24c in ecore_main_loop_begin () at lib/ecore/ecore_main.c:1308
#28 0x00007ffff77e3841 in elm_run () at lib/elementary/elm_main.c:1334
#29 0x00000000004293ea in elm_main (argc=1, argv=0x7fffffffdf78) at edi_main.c:1614
#30 0x0000000000429462 in main (argc=1, argv=0x7fffffffdf78) at edi_main.c:1627
(gdb) print it->item
$1 = (Elm_Gen_Item_Type *) 0x1277a60
(gdb) print it->item->block
$2 = (Item_Block *) 0x0
  1. Add a genlist.
  2. Use a callback which is quite expensive (text_get).
  3. Keep expanding and unexpanding a node in the list (double click really quicky multiple times).
  4. The above BT will get triggered.
netstar created this task.Sep 15 2017, 2:22 PM
jpeg added a comment.Sep 19 2017, 2:21 AM

I can't reproduce this with this test case:

elementary_test -to "Genlist Tree"
  1. Use a callback which is quite expensive (text_get).

text_get is expensive? I thought content_get was expensive...

Maybe you need to do something really silly???

netstar closed this task as Resolved.Sep 26 2017, 8:02 AM

Maybe this is invalid and was caused from a complete misuse of the genlist API?

netstar reopened this task as Open.Oct 15 2017, 8:43 AM

Easily reproducable in EDI.

  1. Open EDI.
  2. Create New Project
  3. Chooce 'C Project'
  4. Create the Project
  5. Project opens in EDI.
  6. Menu -> Build
  7. SEGV

This only seems to occur on first run but the backtrace looked familliar.

Reopening this:

(gdb) bt
#0  0x00007ffff7960874 in _item_process_post (sd=0x5555560c3c10, it=0x555556494240) at lib/elementary/elm_genlist.c:4638
#1  0x00007ffff795db8c in _item_del (it=0x555556002310) at lib/elementary/elm_genlist.c:3748
#2  0x00007ffff7965290 in _elm_genlist_item_elm_widget_item_del_pre (eo_it=0x8000000fcc0ecc66, it=0x555556002310) at lib/elementary/elm_genlist.c:6027
#3  0x00007ffff7aa1b07 in elm_wdg_item_del_pre (obj=0x8000000fcc0ecc66) at lib/elementary/elm_widget_item.eo.c:218
#4  0x00007ffff7a96a79 in _elm_widget_item_del (eo_item=0x8000000fcc0ecc66, item=0x555556002230) at lib/elementary/elm_widget.c:4951
#5  0x00007ffff7a9f03e in elm_wdg_item_del (obj=0x8000000fcc0ecc66) at lib/elementary/elm_widget_item.eo.c:110
#6  0x00007ffff7aa26d1 in elm_object_item_del (obj=0x8000000fcc0ecc66) at lib/elementary/elm_widget_item.eo.c:500
#7  0x0000555555571553 in _file_listing_item_delete (path=0x555555f537cc "/home/netstar/ALDO/conftest.c") at edi_filepanel.c:869
#8  0x0000555555571903 in _file_listing_updated (data=0x555556103ddc, type=40, event=0x555555da9b40) at edi_filepanel.c:963
#9  0x00007ffff68e376d in _ecore_call_handler_cb (func=0x55555557180c <_file_listing_updated>, data=0x555556103ddc, type=40, event=0x555555da9b40)
    at lib/ecore/ecore_private.h:331
#10 0x00007ffff68e4b1d in _ecore_event_call () at lib/ecore/ecore_events.c:629
#11 0x00007ffff68ee13c in _ecore_main_loop_iterate_internal (once_only=0) at lib/ecore/ecore_main.c:2408
#12 0x00007ffff68ebc5c in ecore_main_loop_begin () at lib/ecore/ecore_main.c:1308
#13 0x00007ffff79e399c in elm_run () at lib/elementary/elm_main.c:1361
#14 0x0000555555581a2e in elm_main (argc=1, argv=0x7fffffffe1b8) at edi_main.c:1662
#15 0x0000555555581aa6 in main (argc=1, argv=0x7fffffffe1b8) at edi_main.c:1675
(gdb) frame 7
#7  0x0000555555571553 in _file_listing_item_delete (path=0x555555f537cc "/home/netstar/ALDO/conftest.c") at edi_filepanel.c:869
869        elm_object_item_del(item);
(gdb) frame 6
#6  0x00007ffff7aa26d1 in elm_object_item_del (obj=0x8000000fcc0ecc66) at lib/elementary/elm_widget_item.eo.c:500
500        elm_wdg_item_del(obj);
(gdb) print obj
$1 = (Elm_Widget_Item *) 0x8000000fcc0ecc66
(gdb) frame 1
#1  0x00007ffff795db8c in _item_del (it=0x555556002310) at lib/elementary/elm_genlist.c:3748
3748                      _item_process_post(sd, tmp);
(gdb) print tmp
$2 = (Elm_Gen_Item *) 0x555556494240
(gdb) frame 0
#0  0x00007ffff7960874 in _item_process_post (sd=0x5555560c3c10, it=0x555556494240) at lib/elementary/elm_genlist.c:4638
4638       if (it->item->block->changed)
(gdb) print it
$3 = (Elm_Gen_Item *) 0x555556494240
(gdb) print it->item
$4 = (Elm_Gen_Item_Type *) 0x555556896a30
(gdb) print it->item->block
$5 = (Item_Block *) 0x0
(gdb) print it->item->block->changed
Cannot access memory at address 0x0
(gdb)
netstar added a project: Restricted Project.Oct 15 2017, 9:25 AM

Just tested edi 0.6 and edi 0.5 and the same issue. Think it's a regression. I can try a stable efl version soon too.

Just tested EFL 1.20.5 and this does NOT occur, definitely a regression.

Also it happens most times a "build" is triggered especially with the C template project...

jpeg claimed this task.Oct 18 2017, 4:02 AM
jpeg added subscribers: SanghyeonLee, cedric.

This should have been assigned to @SanghyeonLee :)

netstar reopened this task as Open.Oct 20 2017, 5:55 PM

Similar but different, same data structure/ different action.

Thread 1 "edi" received signal SIGSEGV, Segmentation fault.
0x00007ffff775681f in _item_filtered_get (it=0x555555dd8a50) at lib/elementary/elm_genlist.c:7674
7674            it->item->block->changed = EINA_TRUE;
(gdb) bt
#0  0x00007ffff775681f in _item_filtered_get (it=0x555555dd8a50) at lib/elementary/elm_genlist.c:7674
#1  0x00007ffff7752434 in _elm_genlist_item_next_get (eo_it=0x800000ba405fbae1, it=0x555555dd8a50)
    at lib/elementary/elm_genlist.c:6771
#2  0x00007ffff775f382 in elm_obj_genlist_item_next_get (obj=0x800000ba405fbae1) at lib/elementary/elm_genlist_item.eo.c:8
#3  0x00007ffff77622e5 in elm_genlist_item_next_get (obj=0x800000ba405fbae1) at lib/elementary/elm_genlist_item.eo.c:269
#4  0x00007ffff77531f5 in _elm_genlist_move_items_set (it=0x555556958550, expanded=0 '\000')
    at lib/elementary/elm_genlist.c:6931
#5  0x00007ffff7753628 in _elm_genlist_item_expanded_set (eo_item=0x800000b2485fb9e2, it=0x555556958550, expanded=0 '\000')
    at lib/elementary/elm_genlist.c:6986
#6  0x00007ffff775fc2d in elm_obj_genlist_item_expanded_set (obj=0x800000b2485fb9e2, expanded=0 '\000')
    at lib/elementary/elm_genlist_item.eo.c:28
#7  0x00007ffff776237e in elm_genlist_item_expanded_set (obj=0x800000b2485fb9e2, expanded=0 '\000')
    at lib/elementary/elm_genlist_item.eo.c:299
#8  0x0000555555566d56 in _on_list_contract_req (data=0x80000048505fabc9, obj=0x80000055805fad6f,
    event_info=0x800000b2485fb9e2) at ../src/bin/edi_filepanel.c:799
#9  0x00007ffff6bfce49 in _eo_evas_smart_cb (data=0x5555563da8c0, event=0x7fffffffe110)
    at lib/evas/canvas/evas_object_smart.c:78
#10 0x00007fffede9b007 in _event_callback_call (obj_id=0x80000055805fad6f, pd=0x55555638ee80,
    desc=0x7ffff7ba76a0 <_ELM_GENLIST_EVENT_CONTRACT_REQUEST>, event_info=0x800000b2485fb9e2, legacy_compare=1 '\001')
    at lib/eo/eo_base_class.c:1545
#11 0x00007fffede9b458 in _efl_object_event_callback_legacy_call (obj_id=0x80000055805fad6f, pd=0x55555638ee80,
    desc=0x7ffff7ba76a0 <_ELM_GENLIST_EVENT_CONTRACT_REQUEST>, event_info=0x800000b2485fb9e2) at lib/eo/eo_base_class.c:1618
#12 0x00007fffede9b532 in efl_event_callback_legacy_call (obj=0x80000055805fad6f,
    desc=0x7ffff7ba76a0 <_ELM_GENLIST_EVENT_CONTRACT_REQUEST>, event_info=0x800000b2485fb9e2) at lib/eo/eo_base_class.c:1621
#13 0x00007ffff6be8248 in _efl_canvas_object_efl_object_event_callback_legacy_call (eo_obj=0x80000055805fad6f,
    obj=0x55555638eed0, desc=0x7ffff7ba76a0 <_ELM_GENLIST_EVENT_CONTRACT_REQUEST>, event_info=0x800000b2485fb9e2)
    at lib/evas/canvas/evas_object_main.c:1267
#14 0x00007fffede9b532 in efl_event_callback_legacy_call (obj=0x80000055805fad6f,
    desc=0x7ffff7ba76a0 <_ELM_GENLIST_EVENT_CONTRACT_REQUEST>, event_info=0x800000b2485fb9e2) at lib/eo/eo_base_class.c:1621
#15 0x00007ffff773ff57 in _expand_toggle_signal_cb (data=0x555556958550, obj=0x800000b2505fb9e3,
    emission=0x5555567d07dc "elm,action,expand,toggle", source=0x555555a67bf0 "elm") at lib/elementary/elm_genlist.c:1467
#16 0x00007ffff647c045 in _edje_emit_cb (ed=0x5555562ea4e0, sig=0x5555567d07dc "elm,action,expand,toggle",
    src=0x555555a67bf0 "elm", data=0x0, prop=0 '\000') at lib/edje/edje_program.c:1615
#17 0x00007ffff647bdae in _edje_emit_handle (ed=0x5555562ea4e0, sig=0x5555567d07dc "elm,action,expand,toggle",
    src=0x555555a67bf0 "elm", sdata=0x0, prop=0 '\000') at lib/edje/edje_program.c:1544
#18 0x00007ffff6474505 in _edje_message_process (em=0x555555cceb80) at lib/edje/edje_message_queue.c:790
#19 0x00007ffff647491d in _edje_message_queue_process () at lib/edje/edje_message_queue.c:893
#20 0x00007ffff647341d in _edje_job (data=0x0) at lib/edje/edje_message_queue.c:260
#21 0x00007ffff68f6ef1 in _ecore_job_event_handler (data=0x0, type=16, ev=0x555556343530) at lib/ecore/ecore_job.c:98
#22 0x00007ffff68ef731 in _ecore_call_handler_cb (func=0x7ffff68f6ec1 <_ecore_job_event_handler>, data=0x0, type=16,
    event=0x555556343530) at lib/ecore/ecore_private.h:331
#23 0x00007ffff68f0ae1 in _ecore_event_call () at lib/ecore/ecore_events.c:629
#24 0x00007ffff68fa715 in _ecore_main_loop_iterate_internal (once_only=0) at lib/ecore/ecore_main.c:2408
#25 0x00007ffff68f803b in ecore_main_loop_begin () at lib/ecore/ecore_main.c:1308
#26 0x00007ffff77d28d3 in elm_run () at lib/elementary/elm_main.c:1361
#27 0x000055555556c9e2 in elm_main (argc=1, argv=0x7fffffffe7a8) at ../src/bin/edi_main.c:1662
#28 0x000055555556ca6e in main (argc=1, argv=0x7fffffffe7a8) at ../src/bin/edi_main.c:1675
(gdb) print it
$1 = (Elm_Gen_Item *) 0x555555dd8a50
(gdb) print it->item
$2 = (Elm_Gen_Item_Type *) 0x555555f99690
(gdb) print it->item->block
$3 = (Item_Block *) 0x0
(gdb) print it->item->block->changed
Cannot access memory at address 0x0
(gdb)

@SanghyeonLee just a note to see if you saw i reopened this there's a very similar backtrace.

ajwillia.ms moved this task from Restricted Project Column to Restricted Project Column on the Restricted Project board.Oct 25 2017, 2:56 PM
ajwillia.ms moved this task from Restricted Project Column to Restricted Project Column on the Restricted Project board.
zmike edited projects, added Restricted Project; removed efl.Jun 11 2018, 6:51 AM
zmike edited projects, added efl: widgets; removed Restricted Project.Jun 11 2018, 7:43 AM
netstar claimed this task.Jun 12 2018, 7:43 AM

I'll try this one.

@bu5hm4n

Looking in eo_base_class.c

I've a different backtrace:

(gdb) bt
#0  0x000000080373cf50 in strcmp () from /lib/libc.so.7
#1  0x0000000802b82273 in _key_generic_get (obj=0x40000032c595, pd=0x810e4f240, key=0x8010082b2 "__elm_widget_item_data", d_type=DATA_PTR)
    at eo_base_class.c:354
#2  0x0000000802b7ff57 in _efl_object_key_data_get (obj=0x40000032c595, pd=0x810e4f240, key=0x8010082b2 "__elm_widget_item_data")
    at eo_base_class.c:393
#3  0x0000000802b77275 in efl_key_data_get (obj=0x40000032c595, key=0x8010082b2 "__elm_widget_item_data") at eo_base_class.c:396
warning: (Internal error: pc 0x800f4bf6b in read in psymtab, but not in symtab.)

#4  0x0000000800f4bf6c in elm_object_item_data_get () at efl_ui_widget.c:4319
warning: (Internal error: pc 0x800f4bf6b in read in psymtab, but not in symtab.)

#5  0x0000000000415567 in _file_listing_empty (dir=0x812b4cdc0, parent_it=0x400000c8ee15) at ../src/bin/edi_filepanel.c:961
#6  0x0000000000413296 in _on_list_contracted (data=0x400000453f93, obj=0x400000523ad3, event_info=0x400000c8ee15)
    at ../src/bin/edi_filepanel.c:864
#7  0x0000000801cb8598 in _eo_evas_smart_cb (data=0x811868cb0, event=0x7fffffffda10) at evas_object_smart.c:78
#8  0x0000000802b80762 in _event_callback_call (obj_id=0x400000523ad3, pd=0x8117f0040, desc=0x8012c8130, event_info=0x400000c8ee15,
    legacy_compare=1 '\001') at eo_base_class.c:1696
#9  0x0000000802b7fb93 in _efl_object_event_callback_legacy_call (obj_id=0x400000523ad3, pd=0x8117f0040, desc=0x8012c8130,
    event_info=0x400000c8ee15) at eo_base_class.c:1769
#10 0x0000000802b78cb0 in efl_event_callback_legacy_call (obj=0x400000523ad3, desc=0x8012c8130, event_info=0x400000c8ee15) at eo_base_class.c:1772
warning: (Internal error: pc 0x801caab05 in read in psymtab, but not in symtab.)

#11 0x0000000801caab06 in _efl_canvas_object_efl_object_event_callback_legacy_call () at evas_object_main.c:1231
warning: (Internal error: pc 0x801caab05 in read in psymtab, but not in symtab.)

#12 0x0000000802b78cb0 in efl_event_callback_legacy_call (obj=0x400000523ad3, desc=0x8012c8130, event_info=0x400000c8ee15) at eo_base_class.c:1772
#13 0x0000000800e18959 in _elm_genlist_item_expanded_set (eo_item=0x400000c8ee15, it=0x810ef8480, expanded=0 '\0') at elm_genlist.c:7052
#14 0x0000000800dfcae7 in elm_obj_genlist_item_expanded_set (obj=0x400000c8ee15, expanded=0 '\0') at elm_genlist_item.eo.c:28
#15 0x0000000800dfe88f in elm_genlist_item_expanded_set (obj=0x400000c8ee15, expanded=0 '\0') at elm_genlist_item.eo.c:313
#16 0x0000000000413209 in _on_list_contract_req (data=0x400000453f93, obj=0x400000523ad3, event_info=0x400000c8ee15)
    at ../src/bin/edi_filepanel.c:841
#17 0x0000000801cb8598 in _eo_evas_smart_cb (data=0x811868b90, event=0x7fffffffde10) at evas_object_smart.c:78
#18 0x0000000802b80762 in _event_callback_call (obj_id=0x400000523ad3, pd=0x8117f0040, desc=0x8012c8110, event_info=0x400000c8ee15,
    legacy_compare=1 '\001') at eo_base_class.c:1696
#19 0x0000000802b7fb93 in _efl_object_event_callback_legacy_call (obj_id=0x400000523ad3, pd=0x8117f0040, desc=0x8012c8110,
    event_info=0x400000c8ee15) at eo_base_class.c:1769
#20 0x0000000802b78cb0 in efl_event_callback_legacy_call (obj=0x400000523ad3, desc=0x8012c8110, event_info=0x400000c8ee15) at eo_base_class.c:1772
warning: (Internal error: pc 0x801caab05 in read in psymtab, but not in symtab.)

warning: (Internal error: pc 0x801caab05 in read in psymtab, but not in symtab.)

#21 0x0000000801caab06 in _efl_canvas_object_efl_object_event_callback_legacy_call () at evas_object_main.c:1231
warning: (Internal error: pc 0x801caab05 in read in psymtab, but not in symtab.)

#22 0x0000000802b78cb0 in efl_event_callback_legacy_call (obj=0x400000523ad3, desc=0x8012c8110, event_info=0x400000c8ee15) at eo_base_class.c:1772
#23 0x0000000800e01ef6 in _expand_toggle_signal_cb (data=0x810ef8480, obj=0x400000d3009b, emission=0x80fd23cdc "elm,action,expand,toggle",
    source=0x80f1f6830 "elm") at elm_genlist.c:1483
#24 0x0000000802912f44 in _edje_emit_cb (ed=0x811473e50, sig=0x80fd23cdc "elm,action,expand,toggle", src=0x80f1f6830 "elm", data=0x811682b90,
    prop=0 '\0') at edje_program.c:1670
#25 0x0000000802912b29 in _edje_emit_handle (ed=0x811473e50, sig=0x80fd23cdc "elm,action,expand,toggle", src=0x80f1f6830 "elm", sdata=0x811682b90,
    prop=0 '\0') at edje_program.c:1589
#26 0x000000080290bb19 in _edje_message_process (em=0x811943600) at edje_message_queue.c:783
#27 0x000000080290bf89 in _edje_message_queue_process () at edje_message_queue.c:886
#28 0x000000080290c5a4 in _edje_job (data=0x0) at edje_message_queue.c:260
#29 0x00000008021675cd in _ecore_job_event_handler (data=0x0, type=14, ev=0x810e84ba0) at ecore_job.c:98
#30 0x000000080216e8b4 in _ecore_event_message_handler_efl_loop_message_handler_message_call (obj=0x400000001317, pd=0x80c2213a0,
    message=0x4000002e7372) at ecore_event_message_handler.c:359
#31 0x0000000802179b75 in efl_loop_message_handler_message_call (obj=0x400000001317, message=0x4000002e7372) at efl_loop_message_handler.eo.c:14
#32 0x00000008021754ff in _efl_loop_message_process (obj=0x400000000313, pd=0x80c299040) at efl_loop.c:633
#33 0x00000008021722dd in efl_loop_message_process (obj=0x400000000313) at efl_loop.c:663
#34 0x0000000802167de6 in _ecore_main_loop_iterate_internal (obj=0x400000000313, pd=0x80c299040, once_only=0) at ecore_main.c:2432
#35 0x000000080216802e in _ecore_main_loop_begin (obj=0x400000000313, pd=0x80c299040) at ecore_main.c:1175
#36 0x00000008021745bd in _efl_loop_begin (obj=0x400000000313, pd=0x80c299040) at efl_loop.c:83
#37 0x0000000802172a0d in efl_loop_begin (obj=0x400000000313) at efl_loop.eo.c:28
#38 0x00000008021681cf in ecore_main_loop_begin () at ecore_main.c:1248
warning: (Internal error: pc 0x800e89318 in read in psymtab, but not in symtab.)

#39 0x0000000800e89319 in elm_run () at elm_main.c:1260
warning: (Internal error: pc 0x800e89318 in read in psymtab, but not in symtab.)

#40 0x000000000041924a in elm_main (argc=1, argv=0x7fffffffe768) at ../src/bin/edi_main.c:1721
#41 0x00000000004192cf in main (argc=1, argv=0x7fffffffe768) at ../src/bin/edi_main.c:1734
(gdb) fr 1
#1  0x0000000802b82273 in _key_generic_get (obj=0x40000032c595, pd=0x810e4f240, key=0x8010082b2 "__elm_widget_item_data", d_type=DATA_PTR)
    at eo_base_class.c:354
354     eo_base_class.c: No such file or directory.
        in eo_base_class.c
Current language:  auto; currently minimal
(gdb) print key
$1 = 0x8010082b2 "__elm_widget_item_data"
(gdb) print node
$2 = (Eo_Generic_Data_Node *) 0x81abfb1bf
(gdb) print node->obj
$3 = (const Eo *) 0x40000032c59500
(gdb) print node->d.ptr
$4 = (void *) 0x81143bf2000
(gdb) print node->key
$5 = (Eina_Stringshare *) 0x80fd2373c00 <Address 0x80fd2373c00 out of bounds>
(gdb)
zmike lowered the priority of this task from High to Pending on user input.Jun 20 2018, 9:04 AM
zmike added a subscriber: zmike.

This seems to work fine now.

netstar closed this task as Resolved.Jul 4 2018, 1:03 AM

I think this can be closed now.

ajwillia.ms moved this task from Restricted Project Column to Restricted Project Column on the Restricted Project board.Sep 6 2018, 12:56 AM